# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'sr/version'

Gem::Specification.new do |spec|
  spec.name        = 'sr'
  spec.version     = SR::VERSION
  spec.summary     = 'sr is a simple, tiny, hackable REPL for Ruby.'
  spec.description = spec.summary

  spec.authors  = ['Robin Owen']
  spec.email    = ['vthrenody@gmail.com']
  spec.homepage = 'https://github.com/vthrenody/sr'

  spec.files        = %w(sr.gemspec) + Dir['*.md', 'lib/**/*.rb']
  spec.executables  = 'sr'
  spec.require_path = 'lib'
  spec.license      = 'Unlicense'

  spec.add_runtime_dependency 'sxdg', '~> 1.0'
  spec.add_development_dependency 'sgem', '~> 1.0'
end
